Search buoys
curl --request GET \
--url https://api.thebuoy.app/v2/buoys/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.thebuoy.app/v2/buoys/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.thebuoy.app/v2/buoys/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"buoys": [
{
"id": 10,
"name": "Anglet",
"slug": "anglet",
"lat": 43.4832,
"lng": -1.5586,
"source": "Candhis",
"source_identifier": "64002",
"country": "France"
}
],
"count": 1
},
"meta": {
"timestamp": "2025-11-01T10:00:00Z"
}
}{
"error": "bad_request",
"message": "Search term must be at least 2 characters",
"timestamp": "2025-12-27T14:30:00Z",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}{
"error": "unauthorized",
"message": "Invalid API key",
"timestamp": "2025-12-27T14:30:00Z",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}{
"error": "rate_limit_exceeded",
"message": "You have exceeded 1000 requests per hour",
"timestamp": "2025-12-27T14:30:00Z",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}Buoys
Search buoys
Search for buoys by name, slug, or source identifier.
Returns matching buoys with minimal information.
GET
/
buoys
/
search
Search buoys
Authorizations
API key authentication. Pass your API key as a Bearer token in the Authorization header.
Format: Authorization: Bearer YOUR_API_KEY
Alternative: Pass as query parameter ?api_key=YOUR_API_KEY
Security: API keys are stored as BCrypt hashes (never plain text). Only the hash is stored in the database.
Query Parameters
Search term (minimum 2 characters)
Minimum string length:
2Maximum number of results (default 10, max 50)
Required range:
1 <= x <= 50⌘I